# Find Places
source: https://developer.mastercard.com/places/documentation/use-cases/use-cases-1/index.md

## Find Places {#find-places}

The Places API retrieves a list of places based on your provided parameters. You can do the most basic search which will only **require** a *country code* as shown below, which will pull up a list of places in that country code within the limit.
Diagram placesFindAllPlaces

**RESTful POST Request**


API Reference: `POST /places/searches`

<br />

Below example shows how you can find restaurants using provided filter without Radius Search:

```json
{
	"place": {
		"cityName": "O FALLON",
		"stateProvinceCode": "MO",
		"countryCode": "US",
		"industry": "EAP",
		"isInBusiness7Day": true,
		"hasCashBack": false,
		"hasNfc": true,
		"hasPayAtThePump": false
	},
	"radiusSearch": false
}
```

If you decide to do a **Radius Search** , you would have to add the *radiusSearch* flag and set it to true. In addition you input a *distance* with *measurement unit* , along with *latitude* and *longitude* as parameters.

The radius search can be used in combination with **other filters** to make it more advanced and customized as shown below:

With Radius Search and More Filters:

**RESTful Path Parameters**

```javascript
limit=25
offset=0
```

**RESTful POST Payload**

```json
{
  "place": {
    "countryCode": "US",
    "industry": "EAP",
    "geocodeQualityIndicator": "STOREFRONT",
    "hasCashBack": false,
    "latitude": 38.7468239,
    "longitude": -90.7460708
  },
  "distance": 15,
  "radiusSearch": true,
  "unit": "MILE"
}
```

The response will be a list of places with additional details that can help you make efficient decisions when analysing or choosing your go to restaurants within 15 miles for instance!

**RESTful Response:**

```json
{
  "total": 14,
  "offset": 0,
  "limit": 2,
  "items": [
    {
      "merchantName": "HUNAN KING",
      "cleansedMerchantName": "KING HUNAN",
      "streetAddress": "3038 WINGHAVEN BLVD",
      "cleansedStreetAddress": "3038 WINGHAVEN BLVD",
      "cityName": "O FALLON",
      "cleansedCityName": "O FALLON",
      "stateProvinceCode": "MO",
      "cleansedStateProvinceCode": "MO",
      "postalCode": "63368",
      "cleansedPostalCode": "63368-3620",
      "countryCode": "US",
      "cleansedCountryCode": "US",
      "telephoneNumber": "6365617771",
      "cleansedTelephoneNumber": "6365617773",
      "legalCorporateName": "HUNAN KING",
      "cleansedLegalCorporateName": "HUNAN KING",
      "industry": "EAP",
      "superIndustry": "ACF",
      "firstSeenWeek": "08/22/2005-08/28/2005",
      "lastSeenWeek": "09/19/2005-09/25/2005",
      "isNewBusiness": false,
      "isInBusiness7Day": true,
      "isInBusiness30Day": true,
      "isInBusiness60Day": true,
      "isInBusiness90Day": true,
      "isInBusiness180Day": true,
      "isInBusiness360Day": true,
      "hasCashBack": false,
      "hasPayAtThePump": false,
      "hasNfc": true,
      "latitude": 38.749129,
      "longitude": -90.748894,
      "geocodeQualityIndicator": "STOREFRONT",
      "primaryChannelOfDistribution": "b",
      "aggregateMerchantId": 5812,
      "aggregateMerchantName": "NON-AGGREGATED EATING PLACES  RESTAURANTS 5812",
      "keyAggregateMerchantId": 5812,
      "parentAggregateMerchantId": "10001460",
      "parentAggregateMerchantName": "NON-AGGREGATED",
      "mccCode": "5812",
      "msaCode": "7040",
      "naicsCode": "722110",
      "dmaCode": "609",
      "hasApplePay": false,
      "hasAndroidPay": false,
      "hasSamsungPay": false,
      "posTerminalCount": 3,
      "payFacCount30Days": 2,
      "payFacCount60Days": 2,
      "payFacCount90Days": 1,
      "payFacCount180Days": 1,
      "payFacCount365Days": 1,
      "hasEmv": true,
      "isEcommerce": true,
      "isBrickAndMortar": true,
      "locationId": 418412504
    },
    {
      "merchantName": "BRISTOL #149",
      "cleansedMerchantName": "BRISTOL SEAFOOD GRILL",
      "streetAddress": "2314 TECHNOLOGY DR",
      "cleansedStreetAddress": "2314 TECHNOLOGY DR",
      "cityName": "O FALLON",
      "cleansedCityName": "O FALLON",
      "stateProvinceCode": "MO",
      "cleansedStateProvinceCode": "MO",
      "postalCode": "63368",
      "cleansedPostalCode": "63368-7279",
      "countryCode": "US",
      "cleansedCountryCode": "US",
      "telephoneNumber": "6365919300",
      "cleansedTelephoneNumber": "(636) 625-6350",
      "legalCorporateName": "WING HAVEN REST PARTNERS",
      "cleansedLegalCorporateName": "HOULIHAN'S RESTAURANTS  INC.",
      "industry": "EAP",
      "superIndustry": "ACF",
      "firstSeenWeek": "03/15/2004-03/21/2004",
      "lastSeenWeek": "04/12/2004-04/18/2004",
      "isNewBusiness": false,
      "isInBusiness7Day": true,
      "isInBusiness30Day": true,
      "isInBusiness60Day": true,
      "isInBusiness90Day": true,
      "isInBusiness180Day": true,
      "isInBusiness360Day": true,
      "hasCashBack": false,
      "hasPayAtThePump": false,
      "hasNfc": false,
      "latitude": 38.751813,
      "longitude": -90.753068,
      "geocodeQualityIndicator": "STOREFRONT",
      "primaryChannelOfDistribution": "b",
      "aggregateMerchantId": 5812,
      "aggregateMerchantName": "NON-AGGREGATED EATING PLACES  RESTAURANTS 5812",
      "keyAggregateMerchantId": 5812,
      "parentAggregateMerchantId": "10001460",
      "parentAggregateMerchantName": "NON-AGGREGATED",
      "mccCode": "5812",
      "msaCode": "7040",
      "naicsCode": "722110",
      "dmaCode": "609",
      "cleansedMerchantUrl": "https://www.bristolseafoodgrill.com/",
      "hasApplePay": true,
      "hasAndroidPay": true,
      "hasSamsungPay": true,
      "posTerminalCount": 3,
      "payFacCount30Days": 3,
      "payFacCount60Days": 3,
      "payFacCount90Days": 3,
      "payFacCount180Days": 3,
      "payFacCount365Days": 1,
      "hasEmv": true,
      "isEcommerce": true,
      "isBrickAndMortar": true,
      "locationId": 267580167
    }
  ]
}
```

For certain errors prone to this use case, check out the **Places Search Errors Table** in [Codes and Formats](https://developer.mastercard.com/places/documentation/codes-and-formats/index.md) page, which also has a list of common errors for all use cases, along with helpful tips to resolve them.

The request parameters and response details can be found in the Request Parameters and Defined Response sections of the [API Reference](https://developer.mastercard.com/places/documentation/api-reference/index.md).
